CAD БИБЛИОТЕКА
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Нужен макрос выявления "неправильных" ортогональных линий

Нужен макрос выявления "неправильных" ортогональных линий

Ответ
Поиск в этой теме
Непрочитано 23.09.2012, 05:17
Нужен макрос выявления "неправильных" ортогональных линий
Малявка
 
Егорьевск Моск.обл.
Регистрация: 28.02.2007
Сообщений: 206

Здравствуйте! Несколько раз сталкивалась с ситуацией, когда, работая со сторонним чертежом, не могла правильно отрисовать свои примитивы: привязка капризничала. Увеличивая зум, убеждалась, что некоторые горизонтальные и вертикальные линии таковыми не являются: обычная неряшливость чертёжника. Да и у самой иногда такое бывало.

Просьба: напишите, пожалуйста, макрос, чтобы он такие вот неправильные линии (или полилинии) перекидывал в новый слой, допустим, "NOT_ORTO". Или макрос, определяющий неправильное соединение концов линий (с зазором, с перехлёстом, с примыканием).

А уж, оставив видимым только этот новый слой, я смогу быстрее исправить ошибки.

Спасибо.

p.s. А может есть уже готовое решение? Подскажите, буду признательна.
Просмотров: 5957
 
Непрочитано 02.03.2021, 16:45
#21
sberbull


 
Регистрация: 10.07.2019
Сообщений: 4


Здравствуйте! Подскажите пожалуйста где в коде исправить цвет слоя _NOT_ORTO на фиолетовый вместо красного? А то у меня красный цвет используется для других элементов...
sberbull вне форума  
 
Непрочитано 02.03.2021, 17:45
1 | 1 #22
AlexCondor

инженер
 
Регистрация: 03.08.2007
Сообщений: 1,110


sberbull, В конце там ищите: (entmake (list '(0 . "LAYER") '(100 . "AcDbSymbolTableRecord") '(100 . "AcDbLayerTableRecord") (cons 2 "_NOT_ORTO") '(70 . 0) (cons 62 6)))
Но заметьте, что работать будет только для вновь создаваемого слоя. Если таковой уже существует надо править в свойствах.
AlexCondor на форуме  
 
Непрочитано 03.03.2021, 21:18
#23
sberbull


 
Регистрация: 10.07.2019
Сообщений: 4


AlexCondor, спасибо!
sberbull вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Нужен макрос выявления "неправильных" ортогональных линий

Система Техэксперт дает уверенность в правильности и эффективности принимаемых инженерных решений!
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Нужен макрос для AutoCAD, экспортирующий список деталей в текстовый файл technos Программирование 20 24.10.2015 18:11
Нужен макрос для черчения почасовых графиков SON Программирование 2 03.08.2010 21:11
Нужен макрос для команды "стыковка с поворотом" *AllA* AutoCAD 2 15.07.2010 09:53
Нужен макрос (поворот на 90 предварительно выделенного) dextron3 Программирование 20 10.07.2007 21:36
координаты Excel->_line x,y x,y для Acad. нужен макрос на VictorSM Программирование 9 22.01.2006 18:41